Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 22:06
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Dpup Wheezy. Woof-CE built debian wheezy 7.2 packages used
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 16 of 49 Posts_count   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18, ..., 47, 48, 49 Next
Author Message
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 24 Feb 2013, 04:22    Post_subject:  

Spandey. I dont use Wine at all...and I dont want to use it. So...I cant help you much with it. But of course I can check what goes wrong with installation. Did you install wine from debian repo with PPM ? It sounded like that but you could confirm it.
How do you launch wine from console ?
.wine missing directory might be the one which is created when you first time launch wine.
There are also ready up to date wine pets in the forum which might work better.
But testing wine is out of my reach.

I am atm working with 3.8 kernel for Precise Puppy but I suppose 3.8.X kernel without PAE will be the one I will use with Dpup Wheezy...so Precise Puppy 3.8 kernel will be great opportunity to test it with wider user feedback. So...I dont have possibility to boot Dpup Wheezy today.
Back to top
View user's profile Send_private_message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Sun 24 Feb 2013, 04:30    Post_subject:  

spandey wrote:
I installed Wine using Package Manager including all the dependencies. But after successful completion, there are no menu entries. The .wine directory is also missing. Am I missing something obvious?


Hi,
try launching from terminal
Code:
# winecfg

if this do not work for you, uninstall the installed wine; and install one of the pets here
http://puppylinux.org/wikka/wine/

among the various wines versions available this one -i.e. version 1.4- is enough for my needs
http://murga-linux.com/puppy/viewtopic.php?p=610886#610886

«the later the version id, the better wine features ...» --> you will have to try out which one suit the best your needs.

Note: from wine version 1.3.6, the mouse cursor is the X default cursor (and no longer the windows cursor)

hope this helps
Charlie
wine1_4-Wizy.png
 Description   
 Filesize   102.08 KB
 Viewed   1395 Time(s)

wine1_4-Wizy.png

Back to top
View user's profile Send_private_message 
Satori

Joined: 14 Jan 2013
Posts: 25

PostPosted: Tue 26 Feb 2013, 01:51    Post_subject: Dell D830 Laptop Wheeze install  

I did a test install of wheeze, to prepare for the jump from dPup Squeeze, and all went well.

Did a manual install of nvidia 3.10 drivers with no problems.

I kind of miss the Frisbee package, but the wireless worked once I started the Auto DHCP correctly.

Chrome 24 works and Firefox updated to their latest and greatest 19.0



Dell d830 laptop specs:

-Processors-
Intel(R) Core(TM)2 Duo CPU T7500 @ 2.20GHz : 800.00MHz

-PCI Devices-
Host bridge : Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub
PCI bridge : Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port
PCI bridge : Intel Corporation 82801 Mobile PCI Bridge
Audio device : Intel Corporation 82801H
ISA bridge : Intel Corporation 82801HEM
IDE interface : Intel Corporation 82801HBM/HEM
VGA controller : nVidia Corporation G84M [Quadro NVS 140M]
Ethernet controller : Broadcom Corporation NetXtreme BCM5755M Gigabit Ethernet PCI Express
Network controller : Broadcom Corporation BCM4321 802.11a/b/g/n

Report Video

Chip description:
0.0 VGA compatible controller: nVidia Corporation G84M [Quadro NVS 140M] (rev a1)
oem: NVIDIA
product: G86 Board - dawson0 Chip Rev

X Server: Xorg Driver used: nvidia
dimensions: 1920x1200 pixels (332x210 millimeters)
depth of root window: 24 planes
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 26 Feb 2013, 03:07    Post_subject:  

Satori. Good to hear of your experience.
I havent included much customization. Radky`s great apps are missing and also Frisbee. As are several other things.

The reason is that I need feedback from core funtionality. People notice those problems better if I havent loaded the build full with Puppy apps and report things concerning them.

Debian Wheezy is not prime yet. As long as Debian still improves the packages....I create mostly these a little stripped builds. I probably will start some modifications when I feel so. But heavy customization like Dpup Squeeze is not my intention. It just takes too much time....and I am also interested in Upup Precise.

I have played with idea that I will point pdf opening to the Firefox since it supports them now. Epdfvies sucks form Debian repo. The find property shows it. For Precise I did compile Evince but Firefox might be opportunity.

Frisbee has been under heavy development. Barry Kauler just announced that the latest version will be uploaded to the official repo. So....if you update the database...you should get working Frisbee from repo.
Back to top
View user's profile Send_private_message 
Fabio T

Joined: 31 Aug 2007
Posts: 87
Location: Italy

PostPosted: Tue 26 Feb 2013, 11:44    Post_subject: Python compiler not works in Wheezy  

I've tried an installation of mypaint 11.0 in Wheezy without any add-on.
Mypaint cannot runs.
Python reply with a couple of errors , while Precise works well (I cannot install Bluetooth driver to make Python works).
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3337
Location: Ontario

PostPosted: Tue 26 Feb 2013, 19:41    Post_subject:  

to Pemasu :

Have you keep up with my right click package?

Very exciting!!

It would now be possible for you to dump putting right clicks in
your distros and let me handle this work. Many languages
could be supported (including Finnish Laughing ).

.http://murga-linux.com/puppy/viewtopic.php?p=687786#687786

Here's German version..



.

Edited_time_total
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 26 Feb 2013, 20:10    Post_subject:  

Don570. I have tried to keep up. Sometimes I have done some reduction if the support has not met the build needs, but basically your work has been included.

And thank for your work. I check your latest version, when I create next build.
I have already some fixes which should be in the build.
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3337
Location: Ontario

PostPosted: Tue 26 Feb 2013, 20:20    Post_subject:  

'Dump' means get rid of the Right click menu items.

It would be less work for you.

______________________________________
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 26 Feb 2013, 20:26    Post_subject:  

Not gonna get rid of them. I appreciate them too much Very Happy

It surely would be less work, but I really want them to be in the build. Rox right clicks really enhance Rox usability and I use them all the time.

You could think that they are there for me...if for nobody else.
But I am sure most users appreciate them...probably more if they are not there....

Of course there is the problem to keep up...but at least I know what there is when I repeatedly check your work through....at least by scanning through the folders....and sometimes fixing missing icons...due to different build I use.
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3337
Location: Ontario

PostPosted: Tue 26 Feb 2013, 20:56    Post_subject:  

Then you should look at my pinstall script to see how I made the
package compatible with Libre Office. It wasn't easy because
Libre Office puts the version number in the desktop filename
which is not a good practise.

...and the new version of Bulldog finder 1.3 fixes some problems.

____________________________
Back to top
View user's profile Send_private_message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Sun 03 Mar 2013, 04:39    Post_subject: missing libssl.so.0.9.8 on debian wheezy: work around  

Hi Pemasu,
libssl.so.0.9.8 as also libcrypto.so.0.9.8 are needed to run spotify spotify-0.6.2.291.pet from dpup-exprimo repo here
http://smokey01.com/pemasu/pet_packages-exprimo/spotify-0.6.2.291.pet,

Only version 1.0.0 exists for debian wheezy.

Already present libssl.so.1.0.0 and libcrypto.so.1.0.0 do not work even with the also existing libssl.so.0.9.8 as also libcrypto.so.0.9.8 symlinks.

I found this work around:
- download without install the debian-squeeze libssl0.9.8_0.9.8o-4squeeze14_i386.deb;
- extract it in /tmp;
- copy both extracted libssl.so.0.9.8 as also libcrypto.so.0.9.8 to /usr/local/lib;
- delete the existing /usr/lib/libssl.so.0.9.8 and /usr/lib/libcrypto.so.0.9.8 symlinks;
- make new symlinks /usr/lib/libssl.so.0.9.8 and /usr/lib/libcrypto.so.0.9.8 pointing to /usr/local/lib/libssl.so.0.9.8 and /usr/local/lib/libcrypto.so.0.9.8 .

So question: might this work around bring possible troubles with other present applications...?

thanks for any advice
Charlie
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 03 Mar 2013, 07:17    Post_subject:  

Charlie6. Using squeeze 0.98 version is the only way atm. Spotify does not have version linked to newer 1.0 versions. So your solution is as good as any other. Does it give problems. Probably not. Only if you have dev libs installed for 0.98 version also, then there is possibility that compiled apps would be linked to that older version of those libs. For example compiling Pidgin with 0.98 dev libs present is not recommended.

Otherwise...just having older versions present should not be problematic. So....use Spotify as you have done. No other way around anyway. There has been posts about new Spotify with updated compile using 1.0 version, but I checked the latest version, it still uses 0.98.
Back to top
View user's profile Send_private_message 
charlie6


Joined: 30 Jun 2008
Posts: 1015
Location: South of Belgium

PostPosted: Tue 05 Mar 2013, 23:52    Post_subject: about spotify-0.6.2.291.pet: icons non readable  

Hi pemasu,
about spotify-0.6.2.291.pet from dpup-exprimo repo:
None of the icons present in folder (size of "theme" folder is ca. 3.5MB)
spotify-0.6.2.291/usr/share/spotify/theme
cannot be red with mtpaint (read error reported) nor viewnior.
What are those 3.5 MB icons ued for ?
Thanks for any answer
Charlie
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 06 Mar 2013, 10:40    Post_subject:  

Charlie6. Those so called .png files are used by Spotify. If you remove them, you will notice that the Spotify will not start. Why they dont open with image viewer, I dont know. But if you download the original .deb you will notice that it behaves same way. If you are interested why they dont open...you could try to hunt answer with google. I dont know.
Back to top
View user's profile Send_private_message 
OscarTalks

Joined: 05 Feb 2012
Posts: 901
Location: London, England

PostPosted: Thu 07 Mar 2013, 18:41    Post_subject:  

What a nice pup!

Wheezy looking good running Linphone in a call to the video echo test.
wheezy.jpg
Description  Screenshot of Linphone in Wheezy
jpg

 Download 
Filename  wheezy.jpg 
Filesize  85.25 KB 
Downloaded  137 Time(s) 

_________________
Oscar in England

Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 16 of 49 Posts_count   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18, ..., 47, 48, 49 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0960s ][ Queries: 12 (0.0111s) ][ GZIP on ]